Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
LerpFunctionNoStateInterval Class Reference
Inheritance diagram for LerpFunctionNoStateInterval:

## Public Member Functions
| __init__ (self, function, duration=0.0, fromData=0, toData=1, blendType='noBlend', extraArgs=[], name=None)
| privStep (self, t)
| Evaluate function apply(self.function, [data] + self.extraArgs) self.state = CInterval.SStarted self.currT = t.
Public Member Functions inherited from Interval
| __init__ (self, name, duration, openEnded=1)
| __repr__ (self, indent=0)
| clearToInitial (self)
| finish (self)
| getDoneEvent (self)
| getDuration (self)
| getLoop (self)
| getName (self)
| getOpenEnded (self)
| getPlayRate (self)
| getState (self)
| getT (self)
| intervalDone (self)
| isPaused (self)
| isPlaying (self)
| isStopped (self)
| loop (self, startT=0.0, endT=-1.0, playRate=1.0)
| pause (self)
| popupControls (self, tl=None)
| privDoEvent (self, t, event)
| privFinalize (self)
| privInitialize (self, t)
| privInstant (self)
| privInterrupt (self)
| privPostEvent (self)
| privReverseFinalize (self)
| privReverseInitialize (self, t)
| privReverseInstant (self)
| resume (self, startT=None)
| resumeUntil (self, endT)
| setDoneEvent (self, event)
| setLoop (self, loop=1)
| setPlayRate (self, playRate)
| setT (self, t)
| setupPlay (self, startT, endT, playRate, doLoop)
| setupResume (self)
| start (self, startT=0.0, endT=-1.0, playRate=1.0)
| stepPlay (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| blendType = LerpBlendHelpers.getBlend(blendType)
| extraArgs = extraArgs
| fromData = fromData
| function = function
| toData = toData
Public Attributes inherited from Interval
float | currT = 0.0
| doneEvent = None
| duration = max(duration, 0.0)
| es
| name = name
| openEnded = openEnded
| pname = name.split('-', 1)[0]
| pstats = None
list | setTHooks = []
| state = CInterval.SInitial

## Static Public Attributes
int | lerpFunctionIntervalNum = 1
Static Public Attributes inherited from Interval
| notify = directNotify.newCategory("Interval")
int | playbackCounter = 0
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Additional Inherited Members
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}
Properties inherited from Interval
| done_event = property(getDoneEvent, setDoneEvent)
| open_ended = property(getOpenEnded)
| play_rate = property(getPlayRate, setPlayRate)
| stopped = property(isStopped)
| t = property(getT, setT)

## Detailed Description

    Class used to execute a function over time.  Function can access fromData
    and toData to perform blend.  If fromData and toData not specified, will
    execute the given function passing in values ranging from 0 to 1

    This is different from a standard LerpFunction, in that it assumes
    the function is not modifying any state that needs to be kept; so
    that it will only call the function while the lerp is actually
    running, and will not be guaranteed to call the function with its
    final value of the lerp.  In particular, if the lerp interval
    happens to get skipped over completely, it will not bother to call
    the function at all.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | function,
|  |  | duration = 0.0,
|  |  | fromData = 0,
|  |  | toData = 1,
|  |  | blendType = 'noBlend',
|  |  | extraArgs = [],
|  |  | name = None )

    __init__(function, duration, fromData, toData, name)

## Member Function Documentation

## ◆ privStep()

privStep | ( |  | self,
|  |  | t )

Evaluate function apply(self.function, [data] + self.extraArgs) self.state = CInterval.SStarted self.currT = t.

Reimplemented from Interval.

## Member Data Documentation

## ◆ blendType

blendType = LerpBlendHelpers.getBlend(blendType)

## ◆ extraArgs

extraArgs = extraArgs

## ◆ fromData

fromData = fromData

## ◆ function

function = function

## ◆ lerpFunctionIntervalNum

int lerpFunctionIntervalNum = 1
| static

## ◆ toData

toData = toData